From 6e813d21123af0fcdda623299898873071b46abc Mon Sep 17 00:00:00 2001
From: "Philippe Bruhat (BooK)" <book@cpan.org>
Date: Mon, 8 Oct 2018 00:59:42 +0200
Subject: [PATCH] Update the tests to match error messages changed in Git
 v2.19.0-rc0

---
 t/24-errors.t | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/t/24-errors.t b/t/24-errors.t
index 5fe6673..21b3170 100644
--- a/t/24-errors.t
+++ b/t/24-errors.t
@@ -89,7 +89,7 @@ my @tests = (
     {   cmd      => [ checkout => 'does-not-exist' ],
         exit     => 1,
         warnings => [
-            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git\./,
+            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git/,
         ],
     },
 
@@ -110,12 +110,12 @@ my @tests = (
     {   cmd  => [ checkout => 'does-not-exist', { fatal => [1] } ],
         exit => 1,
         dollar_at =>
-            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git\./,
+            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git/,
     },
     {   cmd  => [ checkout => 'does-not-exist', { fatal => 1 } ],
         exit => 1,
         dollar_at =>
-            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git\./,
+            qr/^error: pathspec 'does-not-exist' did not match any file\(s\) known to git/,
     },
     {   cmd      => [ rm => 'does-not-exist', { fatal => -128 } ],
         exit     => 128,
-- 
2.1.4

